Bug 37730 - OpenSSL-0.9.6a has security fixes
Summary: OpenSSL-0.9.6a has security fixes
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-26 06:02 UTC by Daniel Roesen
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-26 06:02:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:051 normal SHIPPED_LIVE : Updated openssl packages available 2001-04-17 04:00:00 UTC

Description Daniel Roesen 2001-04-26 06:02:34 UTC
- Security fix: change behavior of OpenSSL to avoid using environment
  variables when running as root.

- Security fix: check the result of RSA-CRT to reduce the possibility
  of deducing the private key from an incorrectly calculated signature.

- Security fix: prevent Bleichenbacher's DSA attack.

- Security fix: Zero the premaster secret after deriving the master
  secret in DH ciphersuites.

complete announcement available at:
http://www.openssl.org/news/announce.html


Note You need to log in before you can comment on or make changes to this bug.